Workspaces
List workspace members
Get all members and pending invitations for a workspace.
GET
/
workspaces
/
{id}
/
members
List workspace members
curl --request GET \
--url https://app.mavera.io/api/v1/workspaces/{id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/workspaces/{id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/workspaces/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/workspaces/{id}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"workspace_id": "<string>",
"data": [
{
"object": "workspace.member",
"user_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "active",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"pending_invitations": [
{
"id": "<string>",
"object": "workspace.invitation",
"workspace_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "pending",
"invited_by": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total_members": 123,
"total_pending": 123
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
Workspace ID
Query Parameters
Filter by member role
Available options:
owner, manager, analyst, viewer, editor, creative_specialist, client_viewer, department_admin Search by email
Maximum number of results (default 50, max 100)
Required range:
1 <= x <= 100Cursor for pagination
Include pending invitations (default true)
Response
List of members and invitations
Available options:
list Show child attributes
Show child attributes
Whether there are more results available
Cursor to use for fetching the next page
List of pending invitations (when include_pending=true)
Show child attributes
Show child attributes
Total members including owner
Total pending invitations
⌘I
List workspace members
curl --request GET \
--url https://app.mavera.io/api/v1/workspaces/{id}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/workspaces/{id}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/workspaces/{id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/workspaces/{id}/members"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"workspace_id": "<string>",
"data": [
{
"object": "workspace.member",
"user_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "active",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"pending_invitations": [
{
"id": "<string>",
"object": "workspace.invitation",
"workspace_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "pending",
"invited_by": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total_members": 123,
"total_pending": 123
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}